<<setup_everything.m;

(*
NumOfxSteps = 6;
NumOfhSteps = 6;
NumOfsSteps = 10;
<<construct_grids.m;
SolvePeriods[10];
Print[Timing[SaveModelSmall["solved/solved_10.m"]]];
*)

(*
<<solved/solved_10.m;
*)

(*
NumOfxSteps = 6;
NumOfhSteps = 6;
NumOfsSteps = 10;
<<construct_grids.m;
KeepSolvingPeriods[40];
Print[Timing[SaveModelSmall["solved/solved_40.m"]]];
*)

(*
<<solved/solved_50.m; 
*)

(*
NumOfxSteps = 6;
NumOfhSteps = 6;
NumOfsSteps = 10;
<<construct_grids.m;
KeepSolvingPeriods[90];
Print[Timing[SaveModelSmall["solved/solved_140.m"]]];
*)
(*
<<solved/solved_140.m;                        
*)

<<solved/solved.m;

(*
NumOfxSteps = 15;
NumOfhSteps = 15;
NumOfsSteps = 20;
<<construct_grids.m;
Print["Length of InStateGridBaseline= "<>ToString[Length[InStateGridBaseline]]];
Do[
KeepSolvingPeriods[12];
DeleteFile["solved/solved.old"];
RenameFile["solved/solved.m","solved/solved.old"];
Print[Timing[SaveModelSmall["solved/solved.m"]]];
,{NumOfTimes,2}
];
*)

Do[
LifePosn = 8*(LoopOverLifePosn)+1;
<<construct_grids.m;  (* reset the grids *)
<<find_crossings.m;
(* to set up the new grids *)
InStateGrid[[LifePosn]] = InStateGridBaseline; 
(* then resolve *)
<<solveperiod.m;
DeleteFile["solved/solved_filledin.old"];
RenameFile["solved/solved_filledin.m","solved/solved_smallmodel.old"];
Print[Timing[SaveModelSmall["solved/solved_smallmodel.m"]]];,
{LoopOverLifePosn,0,20}
];
