
(*

File to perform regressions analogous to those performed on
US data.

*)
<<read_post60_recessions.m;


FirstPeriodOfPost60Data = 401;
LastPeriodOfPost60Data  = FirstPeriodOfPost60Data+Length[recessionslist]-1;

FirstPeriod = 3;
LastPeriod  = LastPeriodSimulated;

RangeToRegress = {FirstPeriodOfPost60Data,LastPeriodOfPost60Data};

DtOPt = DtOSt= DSBtOYt= DSBtOAt = AnnuityIncomeRatio=DtOAssetst = WtOAt = DtOWt = ChangeInExpectedJobLossRisk = AnnuityIncomeGrowth = DtOAt = DtOYt  = DtSimsMean;

Do[
DtOPt[[i]] = DtSimsMean[[i]]/PermanentIncomeMean[[i]];
DtOYt[[i]] = DtSimsMean[[i]] / Income[[i]];
DtOAt[[i]] = DtSimsMean[[i]] / (AnnuityIncome[[i]]*PermanentIncomeMean[[i]]);
DSBtOAt[[i]] =m[[aggstate[[i]]]]DtSimsMean[[i]] / (AnnuityIncome[[i]]*PermanentIncomeMean[[i]]);
DSBtOYt[[i]] =m[[aggstate[[i]]]]DtSimsMean[[i]] / Income[[i]];
WtOAt[[i]] = (StSimsMean[[i]] + HtSimsMean[[i]] - DtSimsMean[[i]])/(AnnuityIncome[[i]] * PermanentIncomeMean[[i]]);
DtOSt[[i]] = DtSimsMean[[i]] / StSimsMean[[i]];
DtOWt[[i]] = DtSimsMean[[i]] / (StSimsMean[[i]]+HtSimsMean[[i]]-DtSimsMean[[i]]);
DtOAssetst[[i]] = DtSimsMean[[i]] / (StSimsMean[[i]]+HtSimsMean[[i]]);
AnnuityIncomeGrowth[[i]] = Log[AnnuityIncome[[i]]/AnnuityIncome[[i-1]]];
AnnuityIncomeRatio[[i]] = AnnuityIncome[[i-1]]/AnnuityIncome[[i]];
ChangeInExpectedJobLossRisk[[i]] = ExpectedJobLossRisk[[i]] - ExpectedJobLossRisk[[i-1]];
(*,{i,FirstPeriodOfPost60Data-2,LastPeriodOfPost60Data}];*)
,{i,FirstPeriod-2,LastPeriod}];

DtGrowthtm1 = Lagged[DtGrowth];
CtGrowthtm1 = Lagged[CtGrowth];
YtGrowthtm1 = Lagged[YtGrowth];
DtOAttm1 = Lagged[DtOAt];
DtOWttm1 = Lagged[DtOWt];
DSBtOAttm1 = Lagged[DSBtOAt];
DSBtOYttm1 = Lagged[DSBtOYt];
DtOAssetstm1 = Lagged[DtOAssetst];
DtOSttm1 = Lagged[DtOSt];
DtOYttm1 = Lagged[DtOYt];
ExpectedJobLossRisktm1 = Lagged[ExpectedJobLossRisk];
HomesBoughtPerCapitatm1 = Lagged[HomesBoughtPerCapita];

DebtOverNetWorth = (DtSimsMean/(HtSimsMean-DtSimsMean+StSimsMean));
DebtServiceBurden = (DtSimsMean*m[[1]])/Income;

ChangeInExpectedJobLossRisk = ExpectedJobLossRisk;
Do[
ChangeInExpectedJobLossRisk[[i]] = ExpectedJobLossRisk[[i]] - ExpectedJobLossRisk[[i-1]]
,{i,2,LastPeriodSimulated}];

