<<setup_everything.m;
<<solved/solved_smallmodel.m;
<<simulation_routines.m;

KeepEveryNthPeriod = 100;
PeriodsToKeep      = {1,2,3,4,10,20};

(* Simulate parameters are [startwealth,starthousing,numofperiods,numofpeople] *)
(* Start them out with zero wealth *)
Do[
Simulate[0,0,LifeLength,5000];
SaveSimsSmall["output/smallmodel"<>ToString[SimNumber]<>".sims"];
Print["saved smallmodel"<>ToString[SimNumber]];
,{SimNumber,1,5}];

Merge["output/smallmodel1.sims","output/smallmodel2.sims","output/smallmodel12.sims"];
Merge["output/smallmodel12.sims","output/smallmodel3.sims","output/smallmodel123.sims"];
Merge["output/smallmodel123.sims","output/smallmodel4.sims","output/smallmodel1234.sims"];
Merge["output/smallmodel1234.sims","output/smallmodel5.sims","output/smallmodel12345.sims"];

(*
<<setup_everything.m;

<<output/smallmodel.sims;

<<prepare_simulated_data.m;

MakeTimeSeriesDataFile["output/smallmodel.data",1,60];

*)
