(* Old version *)

(*
If[LowMem == True && LifePosn < LifeLength-2,
VtByChoice[[LifePosn+2]] = FindBest[[LifePosn+2]] = Table[{},{NumOfChoices}];
VtVals[[LifePosn+2]] 
= InStateGrid[[LifePosn+2]] = OutStateGrid[[LifePosn+2]] 
=ctOptInterpData[[LifePosn+2]] =ztOptInterpData[[LifePosn+2]] 
=htOptInterpData[[LifePosn+2]] =stOptInterpData[[LifePosn+2]] 
=EtVtp1InterpData[[LifePosn+2]] =ChoicetInterpData[[LifePosn+2]] 
=VtInterpData[[LifePosn+2]] 
=ctOptInterpFunc[[LifePosn+2]] =ztOptInterpFunc[[LifePosn+2]] 
=htOptInterpFunc[[LifePosn+2]] =stOptInterpFunc[[LifePosn+2]] 
=EtVtp1InterpFunc[[LifePosn+2]] =ChoicetInterpFunc[[LifePosn+2]] 
=VtInterpFunc[[LifePosn+2]] = {};
];
*)

(* New version for finite horizons: keep the interpolating functions for every period solved *)

If[LowMem == True && LifePosn < LifeLength-2,
VtByChoice[[LifePosn+2]] = FindBest[[LifePosn+2]] = Table[{},{NumOfChoices}];
VtVals[[LifePosn+2]] 
= InStateGrid[[LifePosn+2]] = OutStateGrid[[LifePosn+2]] 
=ctOptInterpData[[LifePosn+2]] =ztOptInterpData[[LifePosn+2]] 
=htOptInterpData[[LifePosn+2]] =stOptInterpData[[LifePosn+2]] 
=EtVtp1InterpData[[LifePosn+2]] =ChoicetInterpData[[LifePosn+2]] 
=VtInterpData[[LifePosn+2]] = {}; 
];
